
Redmine - Feature #1840

Merge projects and issues classes to allow more hierarchical project structure

2008-09-01 15:54 - Sergio Lerner

Status: Closed Start date: 2008-09-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Out company projects have many sub-projects like hardware development/software development/mechanical

design/installation/customization. The development process has has many levels of "activities": subprojects, Stages, Tasks, etc.

It would be nice if issues and projects would inherit from only on class/table. And it would be nice if subprojects/tasks could be nested

to any depth.

Related issues:

Related to Redmine - Feature #5837: Merge Projects Closed 2010-07-08

Is duplicate of Redmine - Feature #594: Remove limit on subproject nesting Closed 2008-02-03

History

#1 - 2008-12-27 19:16 - Jeff Dombach

+1 For subproject nesting to many levels.

#2 - 2009-02-18 09:09 - J Cayetano Delgado

+1

#3 - 2009-09-22 10:05 - nova zz

- Assignee set to Eric Davis

+1

#4 - 2009-09-30 23:39 - Eric Davis

- Status changed from New to Closed

- Assignee deleted (Eric Davis)

- Resolution set to Wont fix

I don't see any value to the user by merging Projects and Issue to use the same class/table.  With #594 subprojects can be nested and #443 will

eventually allow issues to be nested also.

#5 - 2015-05-13 05:49 - wei han

user want to merge one project to another. It means one of them is organization A, another is organization B.

when organization A combine with organization B, their issue must be mixed, not delete.

it never means one is sub project.

#6 - 2015-06-12 02:06 - Toshi MARUYAMA

- Related to Feature #5837: Merge Projects added
